@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@300;400&display=swap');

/* ------------ FOOTER ------------ */

.footer {
  margin-top: 140px;
}


.footer__desc {
  padding-bottom: 55px;
}

.footer__desc h4 {
  margin-bottom: 25px;

  font-size: 20px;
  line-height: 1;
  letter-spacing: 0.1em;
}

.footer__desc p {
  font-size: 12px;
  color: #434343;
}

.footer__desc a {
  font-size: 12px;
  color: #4A8187;
}

.activeFooter {
  font-weight: 500;
  text-decoration: underline;
  text-decoration-thickness: 1px;
  text-underline-offset: 5px;
}

.footer__desc li {
  font-size: 12px;
  margin-bottom: 10px;
  color: #434343;
  position: relative;
}

.footer__social li::before {
  content: "";
  width: 100%;
  height: 1px;

  position: absolute;
  right: 0;
  bottom: -5px;

  background-color: #D5D5E0;
}

.footer__desc1-container {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  flex-flow: row wrap;
}

.footer__about, .footer__contacts, .footer__social{
  flex-grow: 1;
  width: 33%;
  position: relative;

}

.footer__social img { 
  margin-right: 10px;
}

.footer__about .footer__card{
  width: 70%;
}

.footer__contacts .footer__card{
  width: 70%;
}

.footer__social .footer__card{
  width: 70%;
}

.footer__desc a{
  display: inline-block;
  vertical-align: middle;
}

.phone-info {
  
}

.footer__social img {
  width: 20px;
  height: 20px;
  object-fit: contain;
}

.footer__copy {
  padding: 40px 0;
  text-align: center;
  background-color: #383838;
}

.footer__copy p {
  color: #9E9E9E;
}

/* ------------ FOOTER 2 ------------ */

.button {
  inline-size: 100%;
  padding: 0.5lh 1.5lh;
  letter-spacing: 0.1em;
  color: currentColor;
  border: none;
  cursor: pointer;
}

.button:hover,
.button:focus-visible {
}

.short-footer {
  text-align: center;
  position: relative;
  display: grid;
  margin-block-start: 0.5lh;
  
  max-height: 0;
  opacity: 0;
  overflow: hidden;
  transition: max-height 0.5s ease, opacity 0.5s ease;
}

.short-footer_item {
  overflow: hidden;
}

.short-footer_link {
  display: block;
}

.short-footer_link:hover,
.short-footer_link:focus-visible {
}

.button.activeFooter ~ .short-footer {
  max-height: 500px;
  opacity: 1;
}

@media (max-width: 1065px) {
  
  .footer{
    margin-top: 80px;
  }

  .footer__desc1-container {
    display: none;
  }

  .footer__desc2-container {
    display: inherit;
  }
}

@media (max-width: 829px) {
  .footer__desc h4 {
    margin-bottom: 10px;
  }
  .footer__desc {
    padding-top: 0;
  }
}





